1. f57c9c3 Bump actions/checkout from 4.1.4 to 4.1.5 in the github-actions group (#103) by dependabot[bot] · 10 days ago master
  2. 2071731 blast_repo fixes (#102) by Devon Carew · 10 days ago
  3. df834e1 Bump actions/checkout from 4.1.2 to 4.1.4 (#101) by dependabot[bot] · 3 weeks ago
  4. f35f47e Bump dart-lang/setup-dart from 1.6.2 to 1.6.4 (#100) by dependabot[bot] · 3 weeks ago
  5. 7581029 Bump actions/checkout from 4.1.1 to 4.1.2 (#99) by dependabot[bot] · 7 weeks ago
  6. 3175ba0 Bump dart-lang/setup-dart from 1.6.0 to 1.6.2 (#98) by dependabot[bot] · 4 months ago
  7. 4572181 drop outdated lints (#96) by Kevin Moore · 6 months ago
  8. f9e94ee Bump actions/checkout from 4.1.0 to 4.1.1 (#95) by dependabot[bot] · 7 months ago
  9. 81fdbcf Bump dart-lang/setup-dart from 1.5.1 to 1.6.0 (#94) by dependabot[bot] · 7 months ago
  10. 8e5a58f Bump dart-lang/setup-dart from 1.5.0 to 1.5.1 (#93) by dependabot[bot] · 8 months ago
  11. 81da7c8 Bump actions/checkout from 3.6.0 to 4.1.0 (#92) by dependabot[bot] · 8 months ago
  12. f0be74a Bump actions/checkout from 3.5.3 to 3.6.0 (#91) by dependabot[bot] · 9 months ago
  13. 028b435 Bump actions/checkout from 3.5.2 to 3.5.3 (#90) by dependabot[bot] · 11 months ago
  14. 3930557 Bump lints, require Dart 3.0 (#89) by Kevin Moore · 12 months ago
  15. c034352 blast_repo fixes (#87) by Devon Carew · 12 months ago
  16. 6dd1908 Bump actions/checkout from 3.5.0 to 3.5.2 (#85) by dependabot[bot] · 1 year ago
  17. c3e56d1 Prepare release with topics (#86) by Jonas Finnemann Jensen · 1 year, 1 month ago v2.1.4
  18. 860e3d8 Bump dart-lang/setup-dart from 1.4.0 to 1.5.0 (#82) by dependabot[bot] · 1 year, 2 months ago
  19. 12eca92 Bump actions/checkout from 3.3.0 to 3.5.0 (#83) by dependabot[bot] · 1 year, 2 months ago
  20. c0e6ea7 Update CHANGELOG.md (#81) by Devon Carew · 1 year, 3 months ago
  21. 0d62000 Fix new type error, use dart_flutter_team_lints (#80) by Kevin Moore · 1 year, 3 months ago
  22. e9c600c Bump actions/checkout from 3.2.0 to 3.3.0 (#78) by dependabot[bot] · 1 year, 4 months ago
  23. dbb85cc Bump dart-lang/setup-dart from 1.3 to 1.4 (#79) by dependabot[bot] · 1 year, 4 months ago
  24. 3946e33 Bump actions/checkout from 3.1.0 to 3.2.0 (#76) by dependabot[bot] · 1 year, 5 months ago
  25. 1723111 rev to 2.1.3 in preparation for release (#75) by Devon Carew · 1 year, 6 months ago 2.1.3
  26. 5ac4c28 update and fix lints, bump min SDK (#74) by Kevin Moore · 1 year, 6 months ago
  27. 28159b8 prep for publishing (#73) by Devon Carew · 1 year, 7 months ago 2.1.2
  28. 7671359 Refactor away from deprecated error (#72) by Michael Thomsen · 1 year, 8 months ago
  29. eadf516 Bump actions/checkout from 3.0.2 to 3.1.0 (#70) by dependabot[bot] · 1 year, 8 months ago
  30. edd9d82 update the CI; update readme (#69) by Devon Carew · 1 year, 8 months ago
  31. 9fd2875 Drop invariant_booleans (#67) by Kevin Moore · 1 year, 10 months ago
  32. 5c0b4bf Update README.md (#65) by Devon Carew · 2 years, 2 months ago
  33. ea6c540 Update pubspec.yaml (#64) by Devon Carew · 2 years, 3 months ago 2.1.1
  34. cee044a Fix RegExp for version pattern (#63) by Greg Spencer · 2 years, 6 months ago
  35. 2726e87 Move to pkg:lints, small tweak to dependency constraints in pubspec (#62) by Kevin Moore · 2 years, 8 months ago
  36. a43ad72 Add `Version.canonicalizedVersion` to help scrub leading zeros. (#50) by Jonas Finnemann Jensen · 2 years, 8 months ago
  37. 205db1d Annotate `Version` with `@sealed`. (#49) by Jonas Finnemann Jensen · 2 years, 8 months ago
  38. baeea5a Fix pre-existing HintCode.UNNECESSARY_TYPE_CHECK_TRUE (#60) by Konstantin Scheglov · 2 years, 9 months ago
  39. 01e4781 Update CI (#58) by Kevin Moore · 3 years, 1 month ago
  40. 7cb5ac5 Fix newly enforced lint (#57) by Kevin Moore · 3 years, 1 month ago
  41. 4b24313 Update LICENSE (#55) by Franklin Yow · 3 years, 2 months ago
  42. f50d80e stable null safety release (#54) by Jacob MacDonald · 3 years, 3 months ago 2.0.0
  43. 57c2ff3 Migrate GitHub Actions (#53) by Alexander Thomas · 3 years, 4 months ago
  44. 10569a1 Migrate to null safety (#52) by Kevin Moore · 3 years, 6 months ago v2.0.0-nullsafety.0
  45. 65c92b0 Add tests and improve docs for Version.primary (#47) by Kevin Moore · 3 years, 10 months ago
  46. 59c73bf Delete .test_config by Kevin Moore · 3 years, 10 months ago
  47. bfab1e9 Remove lints duplicated by pkg:pedantic by Kevin Moore · 4 years, 2 months ago v1.4.4
  48. c3d227d Merge pull request #45 from sigurdm/fix_version_range_union by Sigurd Meldgaard · 4 years, 2 months ago
  49. 572d9fd Bump version by Sigurd Meldgaard · 4 years, 2 months ago
  50. 79fcad0 Fix union of version ranges by Sigurd Meldgaard · 4 years, 2 months ago
  51. bbb0613 Add example, prepare for 1.4.3 ship by Kevin Moore · 4 years, 3 months ago 1.4.3
  52. 191369d pubspec: remove author, update homepage URL by Kevin Moore · 4 years, 3 months ago
  53. 7e5a964 Replace use of int.parse with int.tryParse (#43) by Scott Hyndman · 4 years, 3 months ago
  54. 01c67f9 Fix new pedantic lints, disallow implicit casts (#40) by Kevin Moore · 4 years, 5 months ago
  55. b648a2f Delete codereview.settings by Kevin Moore · 4 years, 10 months ago
  56. a80844d Merge pull request #38 from jonasfj/reference-semver-2.0.0.rc.1 by Bob Nystrom · 4 years, 10 months ago
  57. 074d0e6 Reference https://semver.org/spec/v2.0.0-rc.1.html by Jonas Finnemann Jensen · 4 years, 10 months ago
  58. 7edd4f0 Enable and fix a number of lints, test on oldest supported SDK (#37) by Kevin Moore · 5 years ago
  59. 3017a68 Don't test under 1.21.1 (#33) by Patrice Chalin · 6 years ago
  60. 21bb5c6 chore: set max SDK version to <3.0.0 (#32) by Patrice Chalin · 6 years ago 1.4.2
  61. f9026a4 Update .gitignore to new `dart_tool` pub cache (#31) by BC Ko · 6 years ago
  62. b750631 Increase the pubspec version (#30) by Natalie Weizenbaum · 6 years ago 1.4.1
  63. ffdf9fe Fix a bug with build identifiers (#29) by Natalie Weizenbaum · 6 years ago
  64. cc39d2d Handle pre-release semantics by adjusting the max version of ranges (#28) by Natalie Weizenbaum · 6 years ago 1.4.0
  65. 7272355 Remove an unused import (#27) by Natalie Weizenbaum · 6 years ago
  66. c6d02b4 Fix more pre-release constraint bugs (#26) by Natalie Weizenbaum · 6 years ago 1.3.7
  67. e9ac6f6 Fix a bug where we'd parse pre-release constraints as empty (#25) by Natalie Weizenbaum · 6 years ago 1.3.6
  68. 38a7b5b Fix another pre-release version bug (#24) by Natalie Weizenbaum · 6 years ago 1.3.5
  69. 101f5c8 Release 1.3.4 (#22) by Natalie Weizenbaum · 6 years ago 1.3.4
  70. 71563e4 Merge pull request #21 from dart-lang/fix-pre-release by Natalie Weizenbaum · 6 years ago
  71. df57a25 Fix a pre-release-exclusion bug by Natalie Weizenbaum · 6 years ago
  72. dc16338 Implement VersionRange.allowsAll() in terms of allowsLower/Higher() by Natalie Weizenbaum · 6 years ago
  73. 6f5a2f9 Implement strictlyHigher() in terms of strictlyLower() by Natalie Weizenbaum · 6 years ago
  74. cd08691 Fix a crashing bug (#19) by Natalie Weizenbaum · 6 years ago 1.3.3
  75. d32228c dartfmt by Kevin Moore · 7 years ago
  76. ecc6248 Sort directives by Kevin Moore · 7 years ago
  77. 3fdb7cb Rename analysis_options by Kevin Moore · 7 years ago
  78. 7b2549d Add Travis CI support by Kevin Moore · 7 years ago
  79. 5a99f9f Fix strong mode error in test (#15) by Sam Rawlins · 7 years ago
  80. 961775f Fix a checked mode bug. (#14) by Natalie Weizenbaum · 7 years ago 1.3.2
  81. e21cf1a Fix a new strong mode error. (#13) by Natalie Weizenbaum · 8 years ago 1.3.1
  82. c7d3a8b Use the test runner on the test bots for this package by William Hesse · 8 years ago
  83. 17838f3 Add VersionConstraint.difference(). by Natalie Weizenbaum · 8 years ago 1.3.0
  84. ad0bed1 Make VersionRange implement Comparable. by Natalie Weizenbaum · 8 years ago
  85. cba43fa Make the VersionUnion class public. by Natalie Weizenbaum · 8 years ago
  86. cb8a122 Fix all strong mode warnings. by Natalie Weizenbaum · 8 years ago 1.2.4
  87. 816e64d Get rid of all the library tags. by Natalie Weizenbaum · 8 years ago
  88. 28902dd Fix three strong mode analysis issues. by Devon Carew · 9 years ago
  89. 4e29ab5 Merge pull request #9 from dart-lang/param_type by Natalie Weizenbaum · 9 years ago 1.2.2
  90. 1916fa4 fix param types on methods in _EmptyVersion by Devon Carew · 9 years ago
  91. 7459461 Update the pubspec for 1.2.1. by Natalie Weizenbaum · 9 years ago 1.2.1
  92. cf3b349 Change the pre-release range semantics. by Natalie Weizenbaum · 9 years ago
  93. a84f3e6 Mention that Version implements VersionConstraint in the changelog. by Natalie Weizenbaum · 9 years ago 1.2.0
  94. 70bb15f Add more set-like version constraint operations. by Natalie Weizenbaum · 9 years ago
  95. 6ee1c5a Use the new test runner. by Natalie Weizenbaum · 9 years ago
  96. 71d7aa8 remove analyzer warnings by Kevin Moore · 9 years ago
  97. 2a88bdb Merge pull request #5 from kaendfinger/fix-t by Bob Nystrom · 9 years ago
  98. 6fa22b4 Bump version to 1.1.1-dev by Kenneth Endfinger · 9 years ago
  99. f308ff6 Fix Typo in Version by Kenneth Endfinger · 9 years ago
  100. 182d55d Add VersionRange.hashCode. by Natalie Weizenbaum · 10 years ago